> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Summarize text with streaming response



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json post /ai/summarize/stream
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /ai/summarize/stream:
    post:
      tags:
        - AI
      summary: Summarize text with streaming response
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - text
              properties:
                text:
                  type: string
                maxWords:
                  type: integer
      responses:
        '200':
          description: Server-Sent Events stream
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````